# Overview

In this guide you'll learn to effectively use Dioxus Router whether you're
building a small todo app or the next FAANG company. We will create a small
website with a blog, homepage, and more!

> To follow along with the router example, you'll need a working Dioxus app.
> Check out the [Dioxus book][db] to get started.

> Make sure to add Dioxus Router as a dependency, as explained in the
> [introduction](../index.md).

## You'll learn how to
- Create routes and render "pages".
- Utilize nested routes, create a navigation bar, and render content for a
  set of routes.
- Gather URL parameters to dynamically display content.
- Redirect your visitors wherever you want.

> **Disclaimer**
>
> The example will only display the features of Dioxus Router. It will not
> include any actual functionality. To keep things simple we will only be using
> a single file, this is not the recommended way of doing things with a real
> application.

You can find the complete application in the [full code](./full-code.md)
chapter.

[db]: https://dioxuslabs.com/guide/
